Have two 4.4.4 ATV2's, Can't seem to update to 5.3 / Seas0npass problems?

Hi guys,

I have two 4.4.4 ATV2's, one is jailbroken running XBMC etc, the other is untouched and as it came from the factory. THey have served me well until Netfilx stopped working on 4.4.4 earlier this year.

I was told that the best way to get Netflix back up and running is to update them to 5.3 which also allows for an untethered JB. The problem I have is that whenever I get either one into DFU mode with the current version of Seas0npass, the application quits so there is no way that I am aware of for me to A) save the 4.4.4 blobs or B) update to 5.3.

Is there some other way to get to 5.3? ifs there a workaround that allows you to use Netflix with 4.4.4?

Thanks!

There isn't a workaround for Netflix on 4.X that I know of.  Use iFaith for saving your 4.4.4 blobs. You may need to use an older version of iFaith for this. Then upgrade to latest firmware using iTunes. Then downgrade and jailbreak to 5.3 using Seas0npass.   

[quote="Sufferinsuccotash"]

There isn't a workaround for Netflix on 4.X that I know of.  Use iFaith for saving your 4.4.4 blobs. You may need to use an older version of iFaith for this. Then upgrade to latest firmware using iTunes. Then downgrade and jailbreak to 5.3 using Seas0npass.   

[/quote]

Thanks for the reply!

I have a mac, I think iFaith is PC only? I believe I tried running windows as a virtual machine but couldn't get iFaith to work that way. Additionally, even if I was able to save the blobs somehow and update to the latest iOS version, how would I be sure Seas0npass would work to downgrade since it doesn't work now? :(

Thanks,

MM

Yes, iFaith is PC only.  I'm not a Mac user so can't help you there.  But you might want to consider borrowing a PC to save the 4.4.4 blobs using iFaith if Seasonpass won't save them on your Mac, although I doubt you will ever need them.  They are mostly for peace of mind in case you lose your jailbreak after Apple stops signing 5.3 and you're unable to save your 5.3 blobs (which is quite a time consuming task). 

In regards to updating the firmware to the current version using iTunes prior to downgrading/jailbreaking to 5.3 using Seasonpass, you'll just have to trust that it works. There would be a lot of unhappy people on this forum if it didn't.  I think it's just a glitch in the current version of Seasonpass since we were able to jailbreak from any firmware version without incident in the past.   Regardless, by having your 4.4.4 blobs saved you will have nothing to worry about anyway.  Also, if you're using a Mac to jailbreak be sure you're running Mac X 10.8 or later. 

[quote="Sufferinsuccotash"]

...They are mostly for peace of mind in case you lose your jailbreak after Apple stops signing 5.3 and you're unable to save your 5.3 blobs (which is quite a time consuming task)...

[/quote]

 

Aren't the blobs/signatures incorporated into the .ipsw file after jailbreaking? If so, then saving that ipsw file somewhere will allow you to re-jailbreak to 5.3 via itunes.

That makes sense although I've never tried it.  I prefer saving the signatures both locally and to the ifaith/cydia servers which is an arduous task on 5.3